io.etcd.jetcd.api

## Enum RangeRequest.SortOrder

- java.lang.Object
- - java.lang.Enum<RangeRequest.SortOrder>
  - - io.etcd.jetcd.api.RangeRequest.SortOrder

All Implemented Interfaces:
  com.google.protobuf.Internal.EnumLite, com.google.protobuf.ProtocolMessageEnum, Serializable, Comparable<RangeRequest.SortOrder>

Enclosing class:
  RangeRequest

    public static enum RangeRequest.SortOrder
    extends Enum<RangeRequest.SortOrder>
    implements com.google.protobuf.ProtocolMessageEnum

Protobuf enum `etcdserverpb.RangeRequest.SortOrder`

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ASCEND` lowest target value first
`DESCEND` highest target value first
`NONE` default, no sorting
`UNRECOGNIZED`

### Field Summary

Fields
`static int` `ASCEND_VALUE` lowest target value first
`static int` `DESCEND_VALUE` highest target value first
`static int` `NONE_VALUE` default, no sorting

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`static RangeRequest.SortOrder` `forNumber(int value)`
`static com.google.protobuf.Descriptors.EnumDescriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.EnumDescriptor` `getDescriptorForType()`
`int` `getNumber()`
`com.google.protobuf.Descriptors.EnumValueDescriptor` `getValueDescriptor()`
`static com.google.protobuf.Internal.EnumLiteMap<RangeRequest.SortOrder>` `internalGetValueMap()`
`static RangeRequest.SortOrder` `valueOf(com.google.protobuf.Descriptors.EnumValueDescriptor desc)`
`static RangeRequest.SortOrder` `valueOf(int value)` Deprecated. Use `forNumber(int)` instead.
`static RangeRequest.SortOrder` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static RangeRequest.SortOrder[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### NONE

    public static final RangeRequest.SortOrder NONE

     default, no sorting

`NONE = 0;`

#### ASCEND

    public static final RangeRequest.SortOrder ASCEND

     lowest target value first

`ASCEND = 1;`

#### DESCEND

    public static final RangeRequest.SortOrder DESCEND

     highest target value first

`DESCEND = 2;`

#### UNRECOGNIZED

    public static final RangeRequest.SortOrder UNRECOGNIZED

### Field Detail

#### NONE_VALUE

    public static final int NONE_VALUE

     default, no sorting

`NONE = 0;`

See Also:
  Constant Field Values

#### ASCEND_VALUE

    public static final int ASCEND_VALUE

     lowest target value first

`ASCEND = 1;`

See Also:
  Constant Field Values

#### DESCEND_VALUE

    public static final int DESCEND_VALUE

     highest target value first

`DESCEND = 2;`

See Also:
  Constant Field Values

### Method Detail

#### values

    public static RangeRequest.SortOrder[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (RangeRequest.SortOrder c : RangeRequest.SortOrder.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static RangeRequest.SortOrder valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getNumber

    public final int getNumber()

Specified by:
  `getNumber` in interface `com.google.protobuf.Internal.EnumLite`
Specified by:
  `getNumber` in interface `com.google.protobuf.ProtocolMessageEnum`

#### valueOf

    @Deprecated
    public static RangeRequest.SortOrder valueOf(int value)

Deprecated. Use `forNumber(int)` instead.

Parameters:
  `value` - The numeric wire value of the corresponding enum entry.
Returns:
  The enum associated with the given numeric wire value.

#### forNumber

    public static RangeRequest.SortOrder forNumber(int value)

Parameters:
  `value` - The numeric wire value of the corresponding enum entry.
Returns:
  The enum associated with the given numeric wire value.

#### internalGetValueMap

    public static com.google.protobuf.Internal.EnumLiteMap<RangeRequest.SortOrder> internalGetValueMap()

#### getValueDescriptor

    public final com.google.protobuf.Descriptors.EnumValueDescriptor getValueDescriptor()

Specified by:
  `getValueDescriptor` in interface `com.google.protobuf.ProtocolMessageEnum`

#### getDescriptorForType

    public final com.google.protobuf.Descriptors.EnumDescriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.ProtocolMessageEnum`

#### getDescriptor

    public static final com.google.protobuf.Descriptors.EnumDescriptor getDescriptor()

#### valueOf

    public static RangeRequest.SortOrder valueOf(com.google.protobuf.Descriptors.EnumValueDescriptor desc)